package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Imunisasi;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapImunisasiDetailVO extends BaseTransactionVO{

	@ManyToOne
	@JoinColumn(name = "ObjectPapRiwayatImunisasiFk")
	private PapRiwayatImunisasiVO papRiwayatImunisasi;
	
	@ManyToOne
	@JoinColumn(name = "ObjectImunisasiFk")
	@NotNull(message = "Imunisasi tidak boleh kosong")
	private ImunisasiVO imunisasi;
	
	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public PapRiwayatImunisasiVO getPapRiwayatImunisasi() {
		return papRiwayatImunisasi;
	}

	public void setPapRiwayatImunisasi(PapRiwayatImunisasiVO papRiwayatImunisasi) {
		this.papRiwayatImunisasi = papRiwayatImunisasi;
	}

	public ImunisasiVO getImunisasi() {
		return imunisasi;
	}

	public void setImunisasi(ImunisasiVO imunisasi) {
		this.imunisasi = imunisasi;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

}
